rem ########################################################################################################################################
rem #This batch file, ImportStateCode.bat populates the state codes for United States of America, Japan and Canada defined in SAP system.  #
rem ########################################################################################################################################

if "%1" == "" goto usage

setlocal

call D:\Websphere\CommerceServer\bin\setenv.bat
set DB2_HOME=D:\Websphere\sqllib

set loaderdir=%WCS_HOME%\lib\loader
set libdir=%WCS_HOME%\lib
set configdir=%WCS_HOME%\xml\loader
set sqllibDir=%DB2_HOME%\java

set classpath=%classpath%;.;%configdir%
set classpath=%classpath%;%loaderdir%\WCALogger.zip
set classpath=%classpath%;%libdir%\jlog.jar
set classpath=%classpath%;%loaderdir%\Logger.zip
set classpath=%classpath%;%loaderdir%\jgl2.0.0.jar
set classpath=%classpath%;%loaderdir%\wcmxmlp.jar
set classpath=%classpath%;%loaderdir%\wcmxslt.jar
set classpath=%classpath%;%loaderdir%\WCMCommon.zip
set classpath=%classpath%;%sqllibDir%\db2java.zip
set classpath=%classpath%;%sqllibDir%\runtime.zip
set classpath=%classpath%;%loaderdir%\MassLoader.zip
set classpath=%classpath%;%WAS_HOME%\lib\xalan.jar
set classpath=%classpath%;%WAS_HOME%\lib\xerces.jar
set classpath=%classpath%;%loaderdir%\SAFServ.zip
set classpath=%classpath%;%libdir%\wcsruntime.jar

rem DB_NAME is the database type in your installation eg. db2, oracle etc.
set DB_NAME=db2

set WCS_DBNAME=mall
set WCS_DBUSER=db2admin
set WCS_DBPWD=db2admin

if "%DB_NAME%"=="db2" goto runDB2SQL


:runDB2SQL

set classpath=%classpath%;%loaderdir%\db2\dbconnect.zip;

db2 connect to %WCS_DBNAME% user %WCS_DBUSER% using %WCS_DBPWD%

%JAVA_HOME%\bin\java com.ibm.wca.MassLoader.MassLoad -dbname %WCS_DBNAME% -dbuser %WCS_DBUSER% -dbpwd %WCS_DBPWD% %1 %2 %3 %4 %5 %6 %7 %8 %9 
goto end

:usage
echo  usage:
echo "ImportStateCode -infile <inputFileName> -method <load/sqlimport>"

:end



